> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of custom events

> Returns a list of all Custom Events you have enabled in Alloy Embedded.



## OpenAPI

````yaml get /events
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /events:
    get:
      summary: Retrieve a list of custom events
      description: Returns a list of all Custom Events you have enabled in Alloy Embedded.
      operationId: list-events
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - name: Customer Created
                        description: >-
                          This event is invoked every time a customer is created
                          in your app
                        body:
                          name: Gregg
                          email: support@runalloy.com
                      - name: Order created
                        description: Triggers when an order is created in ACME
                        body:
                          orderId: '0001'
                          orderName: My order
                          customerEmail: support@runalloy.com
                          customerPhone: '1234567891'
                      - name: Invoke Slack
                        description: Invokes Slack
                        body:
                          name: New order created
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          example: Customer Created
                        description:
                          type: string
                          example: >-
                            This event is invoked every time a customer is
                            created in your app
                        body:
                          type: object
                          properties:
                            name:
                              type: string
                              example: Gregg
                            email:
                              type: string
                              example: support@runalloy.com
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````